aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2018-07-25 12:32:40 +0200
committerVratko Polak <vrpolak@cisco.com>2018-07-25 12:39:34 +0200
commitfaadf83599b8640c9235c38a4ab57c7adfb9eb96 (patch)
treef137d11b37e07aa76b5a8e731345661e5096f88c
parent5d6479beed22bb3d14a39e9c130946959c13f03e (diff)
Fail bootstrap immediately if no topology found
Zero topologies might be found if testbeds of some type are all unavailable, or when purposedly restricted Change is verified with a wrong trigger incantation. The previous behavior enters an infinite cycle instead. Change-Id: I9764a79ed4df57c6c99746438431bf1162b7f7ea Signed-off-by: Vratko Polak <vrpolak@cisco.com>
-rwxr-xr-xbootstrap-verify-perf-DPDK.sh4
-rw-r--r--bootstrap-verify-perf-ligato.sh4
-rwxr-xr-xbootstrap-verify-perf.sh4
3 files changed, 12 insertions, 0 deletions
diff --git a/bootstrap-verify-perf-DPDK.sh b/bootstrap-verify-perf-DPDK.sh
index 698d94baf0..d24167d46b 100755
--- a/bootstrap-verify-perf-DPDK.sh
+++ b/bootstrap-verify-perf-DPDK.sh
@@ -94,6 +94,10 @@ virtualenv --system-site-packages env
. env/bin/activate
pip install -r requirements.txt
+if [ -z "${TOPOLOGIES}" ]; then
+ echo "No applicable topology found!"
+ exit 1
+fi
# We iterate over available topologies and wait until we reserve topology
while :; do
for TOPOLOGY in ${TOPOLOGIES};
diff --git a/bootstrap-verify-perf-ligato.sh b/bootstrap-verify-perf-ligato.sh
index b704bfd32e..1ab881b6b3 100644
--- a/bootstrap-verify-perf-ligato.sh
+++ b/bootstrap-verify-perf-ligato.sh
@@ -147,6 +147,10 @@ virtualenv --system-site-packages env
echo pip install
pip install -r requirements.txt
+if [ -z "${TOPOLOGIES}" ]; then
+ echo "No applicable topology found!"
+ exit 1
+fi
# We iterate over available topologies and wait until we reserve topology
while :; do
for TOPOLOGY in ${TOPOLOGIES};
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index b8493893b1..9e1d43ac70 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -110,6 +110,10 @@ virtualenv --system-site-packages env
. env/bin/activate
pip install -r requirements.txt
+if [ -z "${TOPOLOGIES}" ]; then
+ echo "No applicable topology found!"
+ exit 1
+fi
# We iterate over available topologies and wait until we reserve topology
while :; do
for TOPOLOGY in ${TOPOLOGIES};